@import "description.scss";

.icon {
  width: 20px;
  height: 20px;
  border: 1.5px solid $color-red;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: 0;
  cursor: pointer;
  transition: all 0.3s;

  svg {
    width: 6px;
    height: 10.53px;
  }
}

.icon_grey{
  border: 1.5px solid $color-additional;
  svg {
    path {
      fill: $color-additional;
    }
  }
  &:hover,
  &:focus {
    border: 1.5px solid $color-red;
  }
}

.tooltip {
  position: relative;
  width: 30px;
  height: 60px;

  &:hover,
  &:focus {
    .content_desktop{
      display: block;
    }
    .icon {
      background-color: $color-red;

      svg {
        path {
          fill: #fff;
          z-index: 100;
        }
      }
    }
  }

  @include tablet {
    .content_desktop{
      display: none;
    }

    .icon {
      border: 1.5px solid #fff;
      svg {
        path {
          fill: #fff;
        }
      }
    }
    .icon_color{
      border: 1.5px solid $color-additional;
      svg {
        path {
          fill: $color-additional;
        }
      }
    }
    &:hover,
    &:focus {
      .content_desktop{
        display: none;
      }
      .icon {
        border: 1.5px solid $color-red;
      }
      
      .background{
        display:block;
      }
    }
  }
}

.tooltip__close {
  display: none;
  border-top: 1px solid $color-additional;
  align-items: center;
  justify-content: center;
  height: 60px;
  cursor: pointer;
  color: $color-red;
  font-size: 16px;
  line-height: 26px;
  @include tablet {
    display: flex;
  }
}

.content,
.content_desktop {
  z-index: 102;
  display: inline-block;
  box-shadow: 0 8px 14px 0 rgba(0, 0, 0, 0.24);
  font-size: 14px;
  line-height: 19px;
  color: $color-text-main;
  position: absolute;
  right: 30px;
  top: 50%;
  width: 315px;
  background-color: #fff;
  border-radius: 10px;
  transform: translateY(-55%);

  @include tablet {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }
}

.content_right{
left: 30px;
}

.content_desktop{
  display: none;
}

.popup_fade {
	display: block;
}
.popup_fade:before {
  background: transparent;
	content: '';
	position: fixed; 
	left: 0;
	top: 0;
	width: 100%; 
	height: 100%;
  opacity: 0.6;
  z-index: -1;

  @include tablet{
    background: #000;
    z-index: 101;
}
}
.block{
  display: block;
}

.none{
  display: none;
}